

<h1>Display  Property</h1>

<p>The <em>display property</em> specifies whether an element should be displayed on a new line or inline next to another element.
Most elements have a default of being block or inline. Here is a list of values you can use with display property. </p>
<ul>
  <li>
    <em>Block</em>: A block element always starts on a new line and takes up the full width available. div, p, h1-h5, forms, li etc are examples
    of block elements by default.
  </li>
  <li>
    <em>Inline</em>: A inline element does not start on a new line and only takes up as much width as necessary. You cannot set the width on a inline element.
    span, a, img are examples of inline elements.
  </li>
  <li>
    <em>Inline-Block</em>: This is the same as inline however you set set the width on elements.
  </li>
  <li>
    <em>Display: none</em>: This is used to hide an element, the page will be displayed as if the element is not there.
    This different from the visibility: hidden property, which hides the element but retains the space it should be.
  </li>
</ul>

<h3>Inline</h3>
<p>The example below overrides the default display property of list elements. Here we are displaying a list with the inline value.</p>

<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  li {{'{'}}
    display: inline
  }
</pre>
</div>
<br>

<div class="listContainer">
  <ul class="list">
    <li><a>Option 1</a></li>
    <li><a>Option 2</a></li>
    <li><a>Option 3</a></li>
  </ul>
</div>

<br>
<h3>Block</h3>
<p>Here in the example below we are using the block value to make &lt;a&gt; element display as a vertical list.</p>
<div class="col-md-4 codeExample">
  <em>styles.css</em>
  <pre>
  a {{'{'}}
    display: block
  }
</pre>
</div>
<br>

<div class="listContainer">
  <a class="block">Option 1</a>
  <a class="block">Option 2</a>
  <a class="block">Option 3</a>
</div>

<br>

